> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/dgc-saml.md).

# Dgc Saml

## GET /saml/{environmentId}

> Get the contents of the saml.xml configuration file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/saml/{environmentId}":{"get":{"operationId":"getContent","parameters":[{"description":"The ID of the environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Content of the file"},"204":{"description":"File does not exist"},"404":{"description":"Environment or DGC service could not be found"}},"summary":"Get the contents of the saml.xml configuration file","tags":["dgc-saml"]}}}}
```

## DELETE /saml/{environmentId}

> Remove the saml.xml configuration file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/saml/{environmentId}":{"delete":{"operationId":"remove_1","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"File removed"},"404":{"description":"Environment or DGC service could not be found"}},"summary":"Remove the saml.xml configuration file","tags":["dgc-saml"]}}}}
```

## GET /saml/{environmentId}/file

> Download the saml.xml configuration file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/saml/{environmentId}/file":{"get":{"operationId":"getFile_3","parameters":[{"description":"The ID of the environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"The file"},"204":{"description":"File does not exist"},"404":{"description":"Environment or DGC service could not be found"}},"summary":"Download the saml.xml configuration file","tags":["dgc-saml"]}}}}
```

## POST /saml/{environmentId}/file

> Update the saml.xml configuration by uploading a new file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/saml/{environmentId}/file":{"post":{"operationId":"uploadFile_1","parameters":[{"description":"The ID of the target environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/FormDataMultiPart"}}},"required":true},"responses":{"204":{"description":"File uploaded"},"404":{"description":"Environment or DGC service could not be found"},"500":{"description":"File failed to upload"}},"summary":"Update the saml.xml configuration by uploading a new file","tags":["dgc-saml"]}}},"components":{"schemas":{"FormDataMultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fields":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/FormDataBodyPart"}}},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"BodyPart":{"type":"object","properties":{"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"ContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"MultivaluedMapStringString":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"MediaType":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"subtype":{"type":"string"},"type":{"type":"string"},"wildcardSubtype":{"type":"boolean"},"wildcardType":{"type":"boolean"}}},"MessageBodyWorkers":{"type":"object"},"ParameterizedHeader":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"value":{"type":"string"}}},"MultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"MultivaluedMapStringParameterizedHeader":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"Providers":{"type":"object"},"FormDataBodyPart":{"type":"object","properties":{"content":{"type":"object"},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fileName":{"type":"string"},"formDataContentDisposition":{"$ref":"#/components/schemas/FormDataContentDisposition"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"name":{"type":"string"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"},"simple":{"type":"boolean"},"value":{"type":"string"}}},"FormDataContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/console/dgc-saml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
